# Generated by Django 3.0.3 on 2020-03-06 04:42

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Checklist',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='UUID')),
                ('name', models.TextField(verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('image', models.TextField(verbose_name='image')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='checklists', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ChecklistItem',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False, verbose_name='UUID')),
                ('name', models.TextField(verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('done', models.BooleanField(default=False, verbose_name='done')),
                ('checklist', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='checklist_items', to='checklist.Checklist')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='checklist_items', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
